Bulk Invoice list

To get the list of bulk / scheduled invoices

GET
/api/v1/invoice-bulk-upload/

Base URL

Sandbox Base URL

Strictly for sandbox testing. Never use the sandbox URL in your production environment.
https://merchantapisandbox.hesabe.com

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Pass access token obtained from login endpoint

Header Parameters

accessCode*string

Pass the merchant access code issued by Hesabe

Accept*string

application/json

Content-Type*string

application/json

Path Parameters

page*number

Pass the pagination number

Query Parameters

data*string

Convert payload JSON object to encrypted string and send it to the server

Payload details:

Contains the list of parameters and their corresponding values required to make the API request.

Field NameDescriptionRequired
merchantCodePass the merchant code provided by HesabeYes
type"0" for Bulk or "1" for ScheduledYes

Sample Encryption and Decryption Process:

The following steps demonstrate how to integrate with this API using sandbox credentials.

Step 1: Create JSON Object

  {    "merchantCode": "842217", // Pass the merchant code provided by Hesabe    "type":"0" // "0" for Bulk  or "1" for Scheduled   }

Step 2: Convert JSON Object into Encrypted string and post to Hesabe

{  "data": "0e7898bd7464d0c402fe8a949d9cbf9b06b4e06923fbb2926f477dd71c5cec76ef9626adfbff3bfc8b5d729b6bd125ef"}

Step 3: Receive encrypted response from Hesabe

{  "response": "21151c844556ed26b70adf184c5c1a2a1494185b209b5bbfa7333862a7ce00c025c5c94a0eb55c5f784713f79fd61f13ce0bca718ab776982299570402e2f315b379d7b31844e8225ffb0f24b24fc3eb8abd0aa75be8c4fcb9bf5b5ddf31b8195093fdedf1b7cf8d57d7624aea77ff0b23a99317233582ac0a21f3e33490e818504d6a028d424c608bccd158d94f2ec3191be1c41b4ff539eef3e47cf0c7f14681ea0d5e5e3aadaa91bd5e71b6cdbbf86f5719c8ad2576266b43ee463a2b7d8d10ae6d39dcf9f397602b7181246b651ecf501170ae642f7092219c40c7cde0d4db4ce65d86bd2d2a9ca8a06d71de522e9f095250a30a40d134c69e70dafe27ca5d513c383193bb7b1c6cfb92631443b777497d51ab22d8d27a5295180dcb150ecdaa7133041c63cb6b2c7abdadb5114dcf5f45597d0d2b4f6339faaf8c9a62d0c6b9b01f848edc07afa0e7b5c0ba04a4c36f9f0d18f1e1dedda1b9aed25f9ed79f7e11aaf105118bc17f9e2d3ec34867f4cf5550c009a9af3b46e7312e1c19f0d88fb28be112dccfcbba517683d363636e64d7eb9bbdfc28a27c6b44701621f69bf2997630a1d04994de4074295bae480e4247a9c887aeeeb97928f774f6539254e838e0b10abdebfc2fcee6100f3bf5fe3bedc61710d7b9a1a6a8004ddd3438de9e43e35b7585dd99b604e91119f87cf795deadc2a858bce2c8fee058db5a0c750281a6824aa4a217795aecc58b0de0107e06cceb197f4d7dbcb2b0bbfa579ab28dd68742957373042a053c305f19489593d842ec91ec0b206fa0b8671d6b68ea5689016d172af2596b6bc91785198ebe6b828c84fd26406ebc85cb33d5aaebd80fb3dae42bef5584c0a6555648ff70556ba12e49b2605e29e6ed1ede5649301732950f95e4bce26206fb1ef1b016134b7e2266abf01e842245b0a7b8f8d4b84e9763384390f862f8f7b6b6a3c2285f6a4328dab15f83a21f8cbf97e6bfae7ae67081bf7aa0c7ef6df8c0ce6de43e9fda4907d68044076d3c92b30ae4d8fdc7812de8f12c76f93dd31990b2fca67c1a641987528220a5386f900e5d2cc6d9856b8fb2aab2927b580ef41eb05ff09ece68d994f14e5a808234325ee8ba18c424c1f89e8d2bed3eca03e76148dac420d5"}

Step 4: Decrypt the API response and view the JSON output

{  "status": true,  "message": "Bulk invoice list",  "response": {    "data": [      {        "id": 12887,        "merchant_id": 84,        "reference_number": "bb01-0000008",        "name": "bb8",        "phone": "66666666",        "email": "test@gmail.com",        "amount": "8.999",        "description": "Due Payment",        "status": 1,        "has_schedule": 0,        "schedule_time": null,        "schedule_status": 0,        "schedule_sent_at": null,        "created_at": "2025-10-13 12:14:45",        "updated_at": "2025-10-13 12:14:45"      }    ],    "pagination": {      "total": 8,      "count": 8,      "per_page": 100,      "current_page": 1,      "total_pages": 1,      "page_url": "https://merchantapisandbox.hesabe.com/api/v1/invoice-bulk-upload",      "next_page_url": null,      "previous_page_url": null    }  }}

Response Body

Details fetched successfully. Decrypt the server response to view the final result

application/json
  1. response
status?boolean
message?string
response?
Example Request
fetch("https://merchantapisandbox.hesabe.com/api/v1/invoice-bulk-upload/?data=0e7898bd7464d0c402fe8a949d9cbf9b06b4e06923fbb2926f477dd71c5cec76ef9626adfbff3bfc8b5d729b6bd125ef", {  method: "GET",  headers: {    "accessCode": "c333729b-d060-4b74-a49d-7686a8353481",    "Accept": "application/json",    "Content-Type": "application/json"  }})
Example Response
{  "status": true,  "message": "Bulk invoice list",  "response": {    "data": [      {        "id": 12887,        "merchant_id": 84,        "reference_number": "bb01-0000008",        "name": "bb8",        "phone": "66666666",        "email": "test@gmail.com",        "amount": "8.999",        "description": "Due Payment",        "status": 1,        "has_schedule": 0,        "schedule_time": null,        "schedule_status": 0,        "schedule_sent_at": null,        "created_at": "2025-10-13 12:14:45",        "updated_at": "2025-10-13 12:14:45"      }    ],    "pagination": {      "total": 8,      "count": 8,      "per_page": 100,      "current_page": 1,      "total_pages": 1,      "page_url": "https://merchantapisandbox.hesabe.com/api/v1/invoice-bulk-upload",      "next_page_url": null,      "previous_page_url": null    }  }}